> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Auth

> Endpoint to check if the provided token is valid.
A successful response (200 OK) indicates a valid token.
An unsuccessful response (401 Unauthorized) indicates an invalid token.



## OpenAPI

````yaml https://services.staging.app.dados.rio/eai-agent/openapi.json get /api/v1/auth
openapi: 3.1.0
info:
  title: Agentic Search API
  description: >-
    API que gerencia os fluxos e ferramentas dos agentes de IA da Prefeitura do
    Rio de Janeiro
  version: 0.1.0
servers:
  - url: https://services.staging.app.dados.rio/eai-agent
    description: Staging
security: []
paths:
  /api/v1/auth:
    get:
      tags:
        - Authentication
      summary: Check Auth
      description: |-
        Endpoint to check if the provided token is valid.
        A successful response (200 OK) indicates a valid token.
        An unsuccessful response (401 Unauthorized) indicates an invalid token.
      operationId: check_auth_api_v1_auth_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
      security:
        - HTTPBearer: []
components:
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````